## python3-stdlib-extensions 3.4.1-3%2Bdyson1

=== debian/changelog ===
python3-stdlib-extensions (3.4.1-3+dyson1) unstable; urgency=medium

  * Package for Dyson

 -- Igor Pashev <pashev.igor@gmail.com>  Mon, 25 Aug 2014 20:52:02 +0400
