=== debian/control ===
Source: python3-stdlib-extensions
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper (>= 5),
  libpython3-all-dev, libpython3-all-dbg,
  python3-all-dev:any, python3-all-dbg:any,
  libpython3.4-dev, libpython3.4-dbg,
  python3.4-dev:any, python3.4-dbg:any,
  tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
Standards-Version: 3.9.5

Package: python3-tk
Architecture: any
Depends: ${python3:Depends}, blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: tix, python3-tk-dbg
Description: Tkinter - Writing Tk applications with Python 3.x
 A module for writing portable GUI applications with Python 3.x using Tk.
 Also known as Tkinter.

Package: python3-gdbm
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python3:Provides}
Suggests: python3-gdbm-dbg
Replaces: python3.0 (<< 3.0.1)
Description: GNU dbm database support for Python 3.x
 GNU dbm database module for Python 3.x. Install this if you want to
 create or read GNU dbm database files with Python.

Package: python3-tk-dbg
Architecture: any
Priority: extra
Section: debug
Depends: ${python3:Depends}, python3-tk (= ${binary:Version}), blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
Description: Tkinter - Writing Tk applications with Python 3.x (debug extension)
 A module for writing portable GUI applications with Python using Tk.
 Also known as Tkinter.
 .
 This package contains the extensions built for the python3 debug interpreter.

Package: python3-gdbm-dbg
Architecture: any
Multi-Arch: same
Priority: extra
Section: debug
Depends: ${python3:Depends}, python3-gdbm (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: GNU dbm database support for Python 3.x (debug extension)
 GNU dbm database module for Python 3.x. Install this if you want to
 create or read GNU dbm database files with Python.
 .
 This package contains the extensions built for the python3 debug interpreter.
