## python3-stdlib-extensions 3.4.2-1

=== debian/changelog ===
python3-stdlib-extensions (3.4.2-1) unstable; urgency=medium

  * Bump version to 3.4.2 release.

 -- Matthias Klose <doko@debian.org>  Wed, 08 Oct 2014 12:40:11 +0200

python3-stdlib-extensions (3.4.2~rc1-1) unstable; urgency=medium

  * Bump version to 3.4.2 release candidate 1.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Oct 2014 04:09:23 +0200
