=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   python3.4-dev:any, python3.4-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 
 Package: python3-tk
 Architecture: any
