## python3-stdlib-extensions 3.4.3-1~14.04.2

=== debian/changelog ===
python3-stdlib-extensions (3.4.3-1~14.04.2) trusty-proposed; urgency=medium

  * SRU, update python3.4 for trusty. LP: #1348954.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Jun 2015 14:23:30 +0200

python3-stdlib-extensions (3.4.3-1) unstable; urgency=medium

  * Bump version to 3.4.3.

 -- Matthias Klose <doko@debian.org>  Thu, 26 Feb 2015 11:15:44 +0100
