=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
   python3-all-dev:any, python3-all-dbg:any,
   libpython3.4-dev, libpython3.4-dbg,
   python3.4-dev:any, python3.4-dbg:any,
-  tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
+  tk-dev, blt-dev (>= 2.4z-7), libgdbm-dev
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
 Standards-Version: 3.9.6
 
 Package: python3-tk
 Architecture: any
-Depends: ${python3:Depends}, blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, blt (>= 2.4z-7), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Suggests: tix, python3-tk-dbg
 Description: Tkinter - Writing Tk applications with Python 3.x
@@ -35,7 +35,7 @@
 Architecture: any
 Priority: extra
 Section: debug
-Depends: ${python3:Depends}, python3-tk (= ${binary:Version}), blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, python3-tk (= ${binary:Version}), blt (>= 2.4z-7), ${shlibs:Depends}, ${misc:Depends}
 Description: Tkinter - Writing Tk applications with Python 3.x (debug extension)
  A module for writing portable GUI applications with Python using Tk.
  Also known as Tkinter.
