=== debian/rules ===
--- 
+++ 
@@ -53,7 +53,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f *stamp-*
+	rm -f *stamp*
 	rm -rf 3.?/build
 	rm -rf 3.?/libBLT*
 	dh_clean
