## python3-stdlib-extensions 3.4.3-4

=== debian/changelog ===
python3-stdlib-extensions (3.4.3-4) unstable; urgency=medium

  * Update extension to the current 3.4 and 3.5 branches.

 -- Matthias Klose <doko@debian.org>  Fri, 14 Aug 2015 10:31:08 +0200

python3-stdlib-extensions (3.4.3-3) unstable; urgency=medium

  * Build extensions for Python 3.5.

 -- Matthias Klose <doko@debian.org>  Mon, 18 May 2015 20:46:43 +0200
