## python3-stdlib-extensions 3.5.1-1

=== debian/changelog ===
python3-stdlib-extensions (3.5.1-1) unstable; urgency=medium

  * Remove 3.4 extensions.
  * Update extensions to the 3.5.1 release.

 -- Matthias Klose <doko@debian.org>  Tue, 23 Feb 2016 09:13:52 +0100
