=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 5),
+Build-Depends: debhelper (>= 9),
   libpython3-all-dev, libpython3-all-dbg,
   python3-all-dev:any, python3-all-dbg:any,
-  libpython3.5-dev (>= 3.5.0~a4-5), libpython3.5-dbg,
+  libpython3.5-dev (>= 3.5.0-1~), libpython3.5-dbg,
   python3.5-dev:any, python3.5-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 
 Package: python3-tk
 Architecture: any
