=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
 PYVERS	= $(shell py3versions -vs)
-PYVERS	= 3.4 3.5
+PYVERS	= 3.5
 
 include /usr/share/dpkg/architecture.mk
 
@@ -59,13 +59,11 @@
 	dh_clean 
 
 install: build install-prereq $(PYVERS:%=install-stamp-py%) $(PYVERS:%=dbg-install-py%)
-	rm -rf $(d_tk)/usr/share/pycentral
-	rm -rf $(d_gdbm)/usr/share/pycentral
 
 install-prereq:
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_prep
 
 install-stamp-py%: build-stamp-py%
 	cd $* && $(SET_CROSS_ENV) python$* setup.py install \
@@ -124,16 +122,16 @@
 	ln -s $(p_tk) $(d_tk)-dbg/usr/share/doc/$(p_tk)-dbg
 	dh_strip -p$(p_gdbm) --dbg-package=$(p_gdbm)-dbg
 	dh_strip -p$(p_tk) --dbg-package=$(p_tk)-dbg
-ifeq (1,1)
+ifeq (0,1)
 	( \
-	  echo 'python3:Depends=python3 (>= 3.4), python3 (<< 3.6)'; \
-	  echo 'python3:Versions=3.4, 3.5'; \
-	  echo 'python3:Provides=python3.4-gdbm, python3.5-gdbm'; \
+	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.7)'; \
+	  echo 'python3:Versions=3.5, 3.6'; \
+	  echo 'python3:Provides=python3.5-gdbm, python3.6-gdbm'; \
 	) >> debian/python3-gdbm.substvars
 	( \
-	  echo 'python3:Depends=python3 (>= 3.4), python3 (<< 3.6)'; \
-	  echo 'python3:Versions=3.4, 3.5'; \
-	  echo 'python3:Provides=python3.4-tk, python3.5-tk'; \
+	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.7)'; \
+	  echo 'python3:Versions=3.5, 3.6'; \
+	  echo 'python3:Provides=python3.5-tk, python3.6-tk'; \
 	) >> debian/python3-tk.substvars
 else
 	( \
