## python3-stdlib-extensions 3.5.2-1

=== debian/changelog ===
python3-stdlib-extensions (3.5.2-1) experimental; urgency=medium

  * Update extensions to the 3.5.2 release.
  * Add extensions for 3.6.

 -- Matthias Klose <doko@debian.org>  Wed, 31 Aug 2016 11:15:07 +0200
