## python3-stdlib-extensions 3.5.3-1

=== debian/changelog ===
python3-stdlib-extensions (3.5.3-1) unstable; urgency=medium

  * Update extensions to the 3.5.3 release.

 -- Matthias Klose <doko@debian.org>  Thu, 19 Jan 2017 16:29:58 +0100
