=== debian/control ===
--- 
+++ 
@@ -5,14 +5,15 @@
 Build-Depends: debhelper (>= 9),
   libpython3-all-dev, libpython3-all-dbg,
   python3-all-dev:any, python3-all-dbg:any,
-  libpython3.6-dev, libpython3.6-dbg,
-  python3.6-dev:any, python3.6-dbg:any,
+  libpython3.5-dev (>= 3.5.0-1~), libpython3.5-dbg,
+  python3.5-dev:any, python3.5-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
 Standards-Version: 3.9.8
 
 Package: python3-tk
 Architecture: any
+Multi-Arch: same
 Depends: ${python3:Depends}, blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Suggests: tix, python3-tk-dbg
@@ -33,6 +34,7 @@
 
 Package: python3-tk-dbg
 Architecture: any
+Multi-Arch: same
 Priority: extra
 Section: debug
 Depends: ${python3:Depends}, python3-tk (= ${binary:Version}), blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
