## python3-stdlib-extensions 3.5.3-1ubuntu1

=== debian/changelog ===
python3-stdlib-extensions (3.5.3-1ubuntu1) zesty; urgency=medium

  * Add extensions for 3.6.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Jan 2017 12:51:25 +0100
