=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
 PYVERS	= $(shell py3versions -vs)
-PYVERS	= 3.5
+PYVERS	= 3.5 3.6
 
 include /usr/share/dpkg/architecture.mk
 
@@ -122,7 +122,7 @@
 	ln -s $(p_tk) $(d_tk)-dbg/usr/share/doc/$(p_tk)-dbg
 	dh_strip -p$(p_gdbm) --dbg-package=$(p_gdbm)-dbg
 	dh_strip -p$(p_tk) --dbg-package=$(p_tk)-dbg
-ifeq (0,1)
+ifeq (1,1)
 	( \
 	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.7)'; \
 	  echo 'python3:Versions=3.5, 3.6'; \
@@ -135,14 +135,14 @@
 	) >> debian/python3-tk.substvars
 else
 	( \
-	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.6)'; \
-	  echo 'python3:Versions=3.5'; \
-	  echo 'python3:Provides=python3.5-gdbm'; \
+	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.7)'; \
+	  echo 'python3:Versions=3.6'; \
+	  echo 'python3:Provides=python3.6-gdbm'; \
 	) >> debian/python3-gdbm.substvars
 	( \
-	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.6)'; \
-	  echo 'python3:Versions=3.5'; \
-	  echo 'python3:Provides=python3.5-tk'; \
+	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.7)'; \
+	  echo 'python3:Versions=3.6'; \
+	  echo 'python3:Provides=python3.6-tk'; \
 	) >> debian/python3-tk.substvars
 endif
 	dh_compress
