## python3-stdlib-extensions 3.5.3-1%2Bdilos1

=== debian/changelog ===
python3-stdlib-extensions (3.5.3-1+dilos1) unstable; urgency=medium

  * Build for DilOS.

 -- Denis Kozadaev <denis@tambov.ru>  Sat, 09 Dec 2017 20:32:53 +0300
