=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends: debhelper (>= 9),
   libpython3-all-dev, libpython3-all-dbg,
   python3-all-dev:any, python3-all-dbg:any,
-  libpython3.6-dev, libpython3.6-dbg,
-  python3.6-dev:any, python3.6-dbg:any,
+  libpython3.5-dev (>= 3.5.0-1~), libpython3.5-dbg,
+  python3.5-dev:any, python3.5-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
 Standards-Version: 3.9.8
@@ -33,7 +33,7 @@
  create or read GNU dbm database files with Python.
 
 Package: python3-tk-dbg
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Priority: extra
 Section: debug
@@ -45,7 +45,7 @@
  This package contains the extensions built for the python3 debug interpreter.
 
 Package: python3-gdbm-dbg
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Priority: extra
 Section: debug
