## python3-stdlib-extensions 3.6.3-0ubuntu1

=== debian/changelog ===
python3-stdlib-extensions (3.6.3-0ubuntu1) artful; urgency=medium

  * Update extensions to the 3.6.3 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Oct 2017 23:49:31 +0200

python3-stdlib-extensions (3.6.3~rc1-0ubuntu1) artful; urgency=medium

  * Update extensions to the 3.6.3 release candidate.
  * Add extensions for 3.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 22 Sep 2017 13:52:42 +0200

python3-stdlib-extensions (3.6.2-1ubuntu1) artful; urgency=medium

  * Don't build for 3.5 anymore.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 13:27:12 +0200

python3-stdlib-extensions (3.6.2-1) unstable; urgency=medium

  * Update extensions to the 3.5.4 release.
  * Update extensions to the 3.6.2 release.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Sep 2017 09:36:29 +0200

python3-stdlib-extensions (3.5.3-2) unstable; urgency=medium

  * Add extensions for 3.6.

 -- Matthias Klose <doko@debian.org>  Wed, 07 Jun 2017 16:49:33 -0700
