=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,9 @@
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
 PYVERS	= $(shell py3versions -vs)
-PYVERS	= 3.5
+PYVERS	= 3.5 3.6
+PYVERS	= 3.6
+PYVERS	= 3.6 3.7
 
 include /usr/share/dpkg/architecture.mk
 
@@ -33,14 +35,13 @@
 build: build-stamp
 build-arch: build-stamp
 build-indep: build-stamp
-#build-stamp: $(PYVERS:%=build-stamp-py%) $(PYVERS:%=dbg-stamp-py%)
-build-stamp: $(PYVERS:%=build-stamp-py%)
+build-stamp: $(PYVERS:%=build-stamp-py%) $(PYVERS:%=dbg-stamp-py%)
 	touch $@
 
 build-stamp-py%:
 	dh_testdir
-	ln -sf /usr/lib/$(DEB_HOST_MULTIARCH)/libBLT.2.4.so.8.6 $*/libBLT86.so
-	ln -sf /usr/lib/$(DEB_HOST_MULTIARCH)/libBLT.2.4.so.8.6 $*/libBLT86.so.8.6
+	ln -sf /usr/lib/libBLT.2.4.so.8.6 $*/libBLT86.so
+	ln -sf /usr/lib/libBLT.2.4.so.8.6 $*/libBLT86.so.8.6
 	cd $* && $(SET_CROSS_ENV) python$* setup.py build
 	touch $@
 
@@ -59,8 +60,7 @@
 	rm -rf 3.?/libBLT*
 	dh_clean 
 
-#install: build install-prereq $(PYVERS:%=install-stamp-py%) $(PYVERS:%=dbg-install-py%)
-install: build install-prereq $(PYVERS:%=install-stamp-py%)
+install: build install-prereq $(PYVERS:%=install-stamp-py%) $(PYVERS:%=dbg-install-py%)
 
 install-prereq:
 	dh_testdir
@@ -118,13 +118,24 @@
 	dh_installchangelogs
 	dh_installdocs -p$(p_gdbm) debian/README.Debian
 	dh_installdocs -p$(p_tk) debian/README.Tk
-#	rm -rf $(d_gdbm)-dbg/usr/share/doc/$(p_gdbm)-dbg
-#	ln -s $(p_gdbm) $(d_gdbm)-dbg/usr/share/doc/$(p_gdbm)-dbg
-#	rm -rf $(d_tk)-dbg/usr/share/doc/$(p_tk)-dbg
-#	ln -s $(p_tk) $(d_tk)-dbg/usr/share/doc/$(p_tk)-dbg
+	rm -rf $(d_gdbm)-dbg/usr/share/doc/$(p_gdbm)-dbg
+	ln -s $(p_gdbm) $(d_gdbm)-dbg/usr/share/doc/$(p_gdbm)-dbg
+	rm -rf $(d_tk)-dbg/usr/share/doc/$(p_tk)-dbg
+	ln -s $(p_tk) $(d_tk)-dbg/usr/share/doc/$(p_tk)-dbg
 	dh_strip -p$(p_gdbm) --dbg-package=$(p_gdbm)-dbg
 	dh_strip -p$(p_tk) --dbg-package=$(p_tk)-dbg
-ifeq (0,1)
+ifeq (1,1)
+	( \
+	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.8)'; \
+	  echo 'python3:Versions=3.6, 3.7'; \
+	  echo 'python3:Provides=python3.6-gdbm, python3.7-gdbm'; \
+	) >> debian/python3-gdbm.substvars
+	( \
+	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.8)'; \
+	  echo 'python3:Versions=3.6, 3.7'; \
+	  echo 'python3:Provides=python3.6-tk, python3.7-tk'; \
+	) >> debian/python3-tk.substvars
+else ifeq (0,1)
 	( \
 	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.7)'; \
 	  echo 'python3:Versions=3.5, 3.6'; \
@@ -137,14 +148,14 @@
 	) >> debian/python3-tk.substvars
 else
 	( \
-	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.6)'; \
-	  echo 'python3:Versions=3.5'; \
-	  echo 'python3:Provides=python3.5-gdbm'; \
+	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.7)'; \
+	  echo 'python3:Versions=3.6'; \
+	  echo 'python3:Provides=python3.6-gdbm'; \
 	) >> debian/python3-gdbm.substvars
 	( \
-	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.6)'; \
-	  echo 'python3:Versions=3.5'; \
-	  echo 'python3:Provides=python3.5-tk'; \
+	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.7)'; \
+	  echo 'python3:Versions=3.6'; \
+	  echo 'python3:Provides=python3.6-tk'; \
 	) >> debian/python3-tk.substvars
 endif
 	dh_compress
