## python3-stdlib-extensions 3.6.4~rc1-1

=== debian/changelog ===
python3-stdlib-extensions (3.6.4~rc1-1) unstable; urgency=medium

  * Update extensions to the 3.6.4 release candidate.
  * Add extensions for 3.7.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Dec 2017 08:39:56 +0100

python3-stdlib-extensions (3.6.3-1) unstable; urgency=medium

  * Update extensions to the 3.6.3 release.
  * Drop extensions for 3.5. Closes: #880839.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Nov 2017 11:28:53 +0100
