=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
   python3.7-dev:any, python3.7-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2
 
 Package: python3-tk
 Architecture: any
@@ -35,7 +35,7 @@
 Package: python3-tk-dbg
 Architecture: any
 Multi-Arch: same
-Priority: extra
+Priority: optional
 Section: debug
 Depends: ${python3:Depends}, python3-tk (= ${binary:Version}), blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
 Description: Tkinter - Writing Tk applications with Python 3.x (debug extension)
@@ -47,7 +47,7 @@
 Package: python3-gdbm-dbg
 Architecture: any
 Multi-Arch: same
-Priority: extra
+Priority: optional
 Section: debug
 Depends: ${python3:Depends}, python3-gdbm (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: GNU dbm database support for Python 3.x (debug extension)
