=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,6 @@
 #rel_ext	= $(strip $(shell dpkg-parsechangelog | awk -F- '/^Version:/ {print $$NF}'))
 
 PYVERS	= $(shell py3versions -vs)
-PYVERS	= 3.5 3.6
-PYVERS	= 3.6
 PYVERS	= 3.6 3.7
 
 include /usr/share/dpkg/architecture.mk
@@ -135,27 +133,16 @@
 	  echo 'python3:Versions=3.6, 3.7'; \
 	  echo 'python3:Provides=python3.6-tk, python3.7-tk'; \
 	) >> debian/python3-tk.substvars
-else ifeq (0,1)
+else
 	( \
-	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.7)'; \
-	  echo 'python3:Versions=3.5, 3.6'; \
-	  echo 'python3:Provides=python3.5-gdbm, python3.6-gdbm'; \
+	  echo 'python3:Depends=python3 (>= 3.7), python3 (<< 3.8)'; \
+	  echo 'python3:Versions=3.7'; \
+	  echo 'python3:Provides=python3.7-gdbm'; \
 	) >> debian/python3-gdbm.substvars
 	( \
-	  echo 'python3:Depends=python3 (>= 3.5), python3 (<< 3.7)'; \
-	  echo 'python3:Versions=3.5, 3.6'; \
-	  echo 'python3:Provides=python3.5-tk, python3.6-tk'; \
-	) >> debian/python3-tk.substvars
-else
-	( \
-	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.7)'; \
-	  echo 'python3:Versions=3.6'; \
-	  echo 'python3:Provides=python3.6-gdbm'; \
-	) >> debian/python3-gdbm.substvars
-	( \
-	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.7)'; \
-	  echo 'python3:Versions=3.6'; \
-	  echo 'python3:Provides=python3.6-tk'; \
+	  echo 'python3:Depends=python3 (>= 3.7), python3 (<< 3.8)'; \
+	  echo 'python3:Versions=3.7'; \
+	  echo 'python3:Provides=python3.7-tk'; \
 	) >> debian/python3-tk.substvars
 endif
 	dh_compress
