## python3-stdlib-extensions 3.6.5~rc1

=== debian/changelog ===
python3-stdlib-extensions (3.6.5~rc1-1) unstable; urgency=medium

  * Update 3.6 extensions to the 3.6.5 release candidate.
  * Update 3.7 extensions and modules to 3.7.0~b1.
  * Clean up empty __pycache__ directories in prerm (Simon McVittie).
    Closes: #884593, #885553, #885664, #886124.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Mar 2018 08:28:00 +0100

python3-stdlib-extensions (3.6.4-4) unstable; urgency=medium

  * Update to 20180212 from the 3.6 branch.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Feb 2018 12:25:03 +0100

python3-stdlib-extensions (3.6.4-3) unstable; urgency=medium

  * Update 3.7 extensions and modules to 3.7.0~b1.

 -- Matthias Klose <doko@debian.org>  Thu, 01 Feb 2018 09:56:26 +0100

python3-stdlib-extensions (3.6.4-2) unstable; urgency=medium

  * Relax dependencies on python3.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Dec 2017 13:50:54 +0100

python3-stdlib-extensions (3.6.4-1) unstable; urgency=medium

  * Update extensions to the 3.6.4 release.
  * Build a python3-lib2to3 package.

 -- Matthias Klose <doko@debian.org>  Wed, 27 Dec 2017 13:38:21 +0100

python3-stdlib-extensions (3.6.4~rc1-6) unstable; urgency=medium

  * python3-distutils: Depend on python3.6-2to3.
  * Loosen dependency on python3 version.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Dec 2017 12:15:57 +0100

python3-stdlib-extensions (3.6.4~rc1-5) unstable; urgency=medium

  * python3-tk: Don't ship the tkinter test files. Closes: #884414.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Dec 2017 08:19:15 +0100

python3-stdlib-extensions (3.6.4~rc1-4) unstable; urgency=medium

  * Re-upload, with binaries built.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Dec 2017 07:51:19 +0100

python3-stdlib-extensions (3.6.4~rc1-3) unstable; urgency=medium

  * Loosen the dependencies on the python3 version.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Dec 2017 00:02:11 +0100

python3-stdlib-extensions (3.6.4~rc1-2) unstable; urgency=medium

  * python3-tk: Ship the tkinter module in this package.
  * python3-distutils: Split out from the Python standard library.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Dec 2017 12:06:50 +0100
