=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 9), rdfind,
   libpython3-all-dev, libpython3-all-dbg,
   python3-all-dev:any, python3-all-dbg:any,
-  libpython3.7-dev, libpython3.7-dbg,
+  libpython3.7-dev, libpython3.7-dbg (>= 3.7.0~b2),
   python3.7-dev:any, python3.7-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 
 Package: python3-tk
 Architecture: any
@@ -17,6 +17,8 @@
 Depends: ${python3:Depends}, blt (>= 2.4z-9), ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python3:Provides}
 Suggests: tix, python3-tk-dbg
+Breaks: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
+Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
 Description: Tkinter - Writing Tk applications with Python 3.x
  A module for writing portable GUI applications with Python 3.x using Tk.
  Also known as Tkinter.
@@ -55,3 +57,36 @@
  create or read GNU dbm database files with Python.
  .
  This package contains the extensions built for the python3 debug interpreter.
+
+Package: python3-distutils
+Architecture: all
+Multi-Arch: foreign
+Depends: ${python3:Depends}, ${misc:Depends}, python3-lib2to3 (>= 3.6.4)
+Provides: ${python3:Provides}
+Breaks: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2),
+#  python3-setuptools (<< 38.2.4-2)
+Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
+Description: distutils package for Python 3.x
+ Distutils package for Python 3.x.  This package contains the distutils module
+ from the Python standard library.
+
+Package: python3-lib2to3
+Architecture: all
+Multi-Arch: foreign
+Priority: optional
+Depends: ${python3:Depends}, ${misc:Depends}
+Provides: ${python3:Provides}
+Breaks: libpython3.6-stdlib (<< 3.6.4~rc1-2),
+  libpython3.7-stdlib (<< 3.7.0~a3-3),
+  python3.6-2to3 (<< 3.6.4-2),
+  python3.7-2to3 (<< 3.7.0~a3-3),
+Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2),
+  libpython3.7-stdlib (<< 3.7.0~a3-3),
+  python3.6-2to3 (<< 3.6.4-2),
+  python3.7-2to3 (<< 3.7.0~a3-3),
+Description: Interactive high-level object-oriented language (2to3, version 3.6)
+ Python is a high-level, interactive, object-oriented language. Its 3.6 version
+ includes an extensive class library with lots of goodies for
+ network programming, system administration, sounds and graphics.
+ .
+ This package contains the lib2to3 library.
