=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,8 @@
 PYVERS	= $(shell py3versions -vs)
 PYVERS	= 3.6 3.7
 
+MIN_VER = 3.6.4-1~
+
 include /usr/share/dpkg/architecture.mk
 
 ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
@@ -25,8 +27,12 @@
 
 p_tk	= python3-tk
 p_gdbm	= python3-gdbm
+p_dist	= python3-distutils
+p_2to3	= python3-lib2to3
 d_tk	= debian/$(p_tk)
 d_gdbm	= debian/$(p_gdbm)
+d_dist	= debian/$(p_dist)
+d_2to3	= debian/$(p_2to3)
 
 build-arch: build
 build-indep: build
@@ -56,9 +62,15 @@
 	rm -f *stamp*
 	rm -rf 3.?/build
 	rm -rf 3.?/libBLT*
-	dh_clean 
+	rm -f debian/python3-tk.postinst
+	rm -f debian/python3-distutils.postinst
+	dh_clean
 
 install: build install-prereq $(PYVERS:%=install-stamp-py%) $(PYVERS:%=dbg-install-py%)
+	rdfind -makehardlinks true $(d_tk)/usr/lib
+	rdfind -makehardlinks true $(d_dist)/usr/lib
+	rdfind -makehardlinks true $(d_2to3)/usr/lib
+	rm -f results.txt
 
 install-prereq:
 	dh_testdir
@@ -69,37 +81,30 @@
 	cd $* && $(SET_CROSS_ENV) python$* setup.py install \
 		--root=$(CURDIR)/$(d_tk) --install-layout=deb
 	mkdir -p $(d_tk)/usr/lib/python$*/lib-dynload
-ifeq (0,1)
-	set -ex; \
-	for i in $(d_tk)/usr/lib/python3/*-packages/*.cpython-$(subst .,,$*)m.so; do \
-	  b=$$(basename $$i .cpython-$(subst .,,$*)m.so); \
-	  d=$${b}.cpython-$(subst .,,$*)m-$(DEB_HOST_MULTIARCH).so; \
-	  mv $$i $(d_tk)/usr/lib/python$*/lib-dynload/$$d; \
-	done
-else
 	mv $(d_tk)/usr/lib/python3/*-packages/*.so \
 		$(d_tk)/usr/lib/python$*/lib-dynload/
-endif
 	mkdir -p $(d_gdbm)/usr/lib/python$*/lib-dynload
 	mv $(d_tk)/usr/lib/python$*/lib-dynload/_gdbm*.so \
 		$(d_gdbm)/usr/lib/python$*/lib-dynload/
 	rm -rf $(d_tk)/usr/lib/python3
+	cp -r $*/Lib/tkinter $(d_tk)/usr/lib/python$*/.
+	rm -rf $(d_tk)/usr/lib/python$*/tkinter/test
+
+	mkdir -p $(d_dist)/usr/lib/python$*
+	cp -r $*/Lib/distutils $(d_dist)/usr/lib/python$*/.
+	rm -rf $(d_dist)/usr/lib/python$*/distutils/tests
+	rm -rf $(d_dist)/usr/lib/python$*/distutils/command/wininst-*.exe
+
+	mkdir -p $(d_2to3)/usr/lib/python$*
+	cp -r $*/Lib/lib2to3 $(d_2to3)/usr/lib/python$*/.
+	rm -rf $(d_2to3)/usr/lib/python$*/lib2to3/tests
 
 dbg-install-py%: dbg-stamp-py%
 	cd $* && $(SET_CROSS_ENV) python$*-dbg setup.py install \
 		--root=$(CURDIR)/$(d_tk)-dbg --install-layout=deb
 	mkdir -p $(d_tk)-dbg/usr/lib/python$*/lib-dynload
-ifeq (0,1)
-	set -ex; \
-	for i in $(d_tk)-dbg/usr/lib/python3/*-packages/*.cpython-$(subst .,,$*)dm.so; do \
-	  b=$$(basename $$i .cpython-$(subst .,,$*)dm.so); \
-	  d=$${b}.cpython-$(subst .,,$*)dm-$(DEB_HOST_MULTIARCH).so; \
-	  mv $$i $(d_tk)-dbg/usr/lib/python$*/lib-dynload/$$d; \
-	done
-else
 	mv $(d_tk)-dbg/usr/lib/python3/*-packages/*.so \
 		$(d_tk)-dbg/usr/lib/python$*/lib-dynload/
-endif
 	mkdir -p $(d_gdbm)-dbg/usr/lib/python$*/lib-dynload
 	mv $(d_tk)-dbg/usr/lib/python$*/lib-dynload/_gdbm*.so \
 		$(d_gdbm)-dbg/usr/lib/python$*/lib-dynload/
@@ -107,13 +112,51 @@
 
 # Build architecture-independent files here.
 binary-indep: build install
-# We have nothing to do by default.
+	dh_testdir
+	dh_testroot
+	dh_installchangelogs -i
+	dh_installdocs -p$(p_dist) -p$(p_2to3) debian/README.Debian
+ifeq (1,1)
+	( \
+	  echo 'python3:Depends=python3 (>= $(MIN_VER)), python3 (<< 3.8)'; \
+	  echo 'python3:Versions=3.6, 3.7'; \
+	  echo 'python3:Provides=python3.6-distutils, python3.7-distutils'; \
+	) >> debian/python3-distutils.substvars
+	( \
+	  echo 'python3:Depends=python3 (>= $(MIN_VER)), python3 (<< 3.8)'; \
+	  echo 'python3:Versions=3.6, 3.7'; \
+	  echo 'python3:Provides=python3.6-lib2to3, python3.7-lib2to3'; \
+	) >> debian/python3-lib2to3.substvars
+else
+	( \
+	  echo 'python3:Depends=python3 (>= $(MIN_VER)), python3 (<< 3.8)'; \
+	  echo 'python3:Versions=3.7'; \
+	  echo 'python3:Provides=python3.7-distutils'; \
+	) >> debian/python3-distutils.substvars
+	( \
+	  echo 'python3:Depends=python3 (>= $(MIN_VER)), python3 (<< 3.8)'; \
+	  echo 'python3:Versions=3.7'; \
+	  echo 'python3:Provides=python3.7-lib2to3'; \
+	) >> debian/python3-lib2to3.substvars
+endif
+	dh_lintian -i
+	dh_compress -i
+	dh_fixperms -i
+	sed 's/@PYVERS@/$(PYVERS)/' debian/python3-distutils.postinst.in \
+	  > debian/python3-distutils.postinst
+	sed 's/@PYVERS@/$(PYVERS)/' debian/python3-lib2to3.postinst.in \
+	  > debian/python3-lib2to3.postinst
+	dh_installdeb -i
+	dh_shlibdeps -i
+	dh_gencontrol -i
+	dh_md5sums -i
+	dh_builddeb -i
 
 # Build architecture-dependent files here.
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs -a
 	dh_installdocs -p$(p_gdbm) debian/README.Debian
 	dh_installdocs -p$(p_tk) debian/README.Tk
 	rm -rf $(d_gdbm)-dbg/usr/share/doc/$(p_gdbm)-dbg
@@ -124,34 +167,37 @@
 	dh_strip -p$(p_tk) --dbg-package=$(p_tk)-dbg
 ifeq (1,1)
 	( \
-	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.8)'; \
+	  echo 'python3:Depends=python3 (>= $(MIN_VER)), python3 (<< 3.8)'; \
 	  echo 'python3:Versions=3.6, 3.7'; \
 	  echo 'python3:Provides=python3.6-gdbm, python3.7-gdbm'; \
 	) >> debian/python3-gdbm.substvars
 	( \
-	  echo 'python3:Depends=python3 (>= 3.6), python3 (<< 3.8)'; \
+	  echo 'python3:Depends=python3 (>= $(MIN_VER)), python3 (<< 3.8)'; \
 	  echo 'python3:Versions=3.6, 3.7'; \
 	  echo 'python3:Provides=python3.6-tk, python3.7-tk'; \
 	) >> debian/python3-tk.substvars
 else
 	( \
-	  echo 'python3:Depends=python3 (>= 3.7), python3 (<< 3.8)'; \
+	  echo 'python3:Depends=python3 (>= $(MIN_VER)), python3 (<< 3.8)'; \
 	  echo 'python3:Versions=3.7'; \
 	  echo 'python3:Provides=python3.7-gdbm'; \
 	) >> debian/python3-gdbm.substvars
 	( \
-	  echo 'python3:Depends=python3 (>= 3.7), python3 (<< 3.8)'; \
+	  echo 'python3:Depends=python3 (>= $(MIN_VER)), python3 (<< 3.8)'; \
 	  echo 'python3:Versions=3.7'; \
 	  echo 'python3:Provides=python3.7-tk'; \
 	) >> debian/python3-tk.substvars
 endif
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_shlibdeps
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
+	dh_lintian -a
+	dh_compress -a
+	dh_fixperms -a
+	sed 's/@PYVERS@/$(PYVERS)/' debian/python3-tk.postinst.in \
+	  > debian/python3-tk.postinst
+	dh_installdeb -a
+	dh_shlibdeps -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
