## python3-stdlib-extensions 3.6.5

=== debian/changelog ===
python3-stdlib-extensions (3.6.5-3) unstable; urgency=medium

  * Fix again the package removals (Simon McVittie). Closes: #894685.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Apr 2018 13:04:35 +0200

python3-stdlib-extensions (3.6.5-2) unstable; urgency=medium

  * Re-Add the 3.6.5~rc1-2 and 3.6.5~rc1-3 uploads. Closes: #894456.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Mar 2018 23:11:23 +0000

python3-stdlib-extensions (3.6.5-1) unstable; urgency=medium

  * Update 3.6 extensions to the 3.6.5 release.
  * Update 3.7 extensions and modules to 3.7.0~b3.

 -- Matthias Klose <doko@debian.org>  Fri, 30 Mar 2018 18:47:46 +0800

python3-stdlib-extensions (3.6.5~rc1-3) unstable; urgency=medium

  * Bump the release string to satisfy dependencies. Closes: #894168.

 -- Matthias Klose <doko@debian.org>  Tue, 27 Mar 2018 18:36:59 +0800

python3-stdlib-extensions (3.6.5~rc1-2) unstable; urgency=medium

  * python3-distutils: Don't ship distutils/{__init__,version}.py

 -- Matthias Klose <doko@debian.org>  Fri, 23 Mar 2018 11:41:32 +0800
