=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9), rdfind,
   libpython3-all-dev, libpython3-all-dbg,
   python3-all-dev:any, python3-all-dbg:any,
-  libpython3.7-dev, libpython3.7-dbg (>= 3.7.0~b2),
+  libpython3.7-dev, libpython3.7-dbg (>= 3.7.0~b1),
   python3.7-dev:any, python3.7-dbg:any,
   tk-dev, blt-dev (>= 2.4z-9), libgdbm-dev
 Build-Conflicts: tcl8.4-dev, tk8.4-dev, tcl8.5-dev, tk8.5-dev
@@ -61,9 +61,9 @@
 Package: python3-distutils
 Architecture: all
 Multi-Arch: foreign
-Depends: ${python3:Depends}, ${misc:Depends}, python3-lib2to3 (>= 3.6.4)
+Depends: ${python3:Depends}, ${misc:Depends}, python3-lib2to3 (>= 3.6.4),
 Provides: ${python3:Provides}
-Breaks: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2),
+Breaks: libpython3.6-stdlib (<< 3.6.5~rc1-3), libpython3.7-stdlib (<< 3.7.0~b2-2),
 #  python3-setuptools (<< 38.2.4-2)
 Replaces: libpython3.6-stdlib (<< 3.6.4~rc1-2), libpython3.7-stdlib (<< 3.7.0~a3-2)
 Description: distutils package for Python 3.x
