=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,8 @@
 # As a special exception, when this file is copied by dh-make into a
 # dh-make output file, you may use that output file without restriction.
 # This special exception was added by Craig Small in version 0.37 of dh-make.
+
+export SHELL = /bin/bash
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -92,6 +94,7 @@
 
 	mkdir -p $(d_dist)/usr/lib/python$*
 	cp -r $*/Lib/distutils $(d_dist)/usr/lib/python$*/.
+	rm -f -v $(d_dist)/usr/lib/python$*/distutils/{__init__,version}.py
 	rm -rf $(d_dist)/usr/lib/python$*/distutils/tests
 	rm -rf $(d_dist)/usr/lib/python$*/distutils/command/wininst-*.exe
